// basictypes.h
//
// Copyright (C) 2003, 2004 Jason Bevins
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or (at
// your option) any later version.
//
// This library is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
// License (COPYING.txt) for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this library; if not, write to the Free Software Foundation,
// Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// The developer's email is jlbezigvins@gmzigail.com (for great email, take
// off every 'zig'.)
//

#ifndef NOISE_BASICTYPES_H
#define NOISE_BASICTYPES_H

// You may need to modify these constants for your compiler or platform.

namespace noise
{

  /// @defgroup libnoise libnoise
  /// @addtogroup libnoise
  /// @{

  /// Unsigned integer type.
  typedef unsigned int uint;

  /// 32-bit unsigned integer type.
  typedef unsigned int uint32;

  /// 16-bit unsigned integer type.
  typedef unsigned short uint16;

  /// 8-bit unsigned integer type.
  typedef unsigned char uint8;

  /// 32-bit signed integer type.
  typedef int int32;

  /// 16-bit signed integer type.
  typedef short int16;

  /// 8-bit signed integer type.
  typedef char int8;

  /// @}

}

#endif
